curl --request PUT \
--url https://api.cadanapay.com/v1/persons/{personId}/personalInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateOfBirth": "1990-05-15",
"nationalId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"taxId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"socialSecurityId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"gender": "female",
"nationality": "DE",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
}
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Update a person’s personal information including identity documents, date of birth, gender, nationality, and address
curl --request PUT \
--url https://api.cadanapay.com/v1/persons/{personId}/personalInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateOfBirth": "1990-05-15",
"nationalId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"taxId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"socialSecurityId": {
"fullId": "T22084535",
"suffix": "01",
"type": "tin"
},
"gender": "female",
"nationality": "DE",
"address": {
"countryCode": "US",
"line1": "Street 1",
"line2": "Apt 1",
"city": "Gotham",
"postalCode": "10001",
"state": "NY"
}
}
'{
"code": "invalid_request_body",
"message": "The request body provided is not valid",
"params": {
"field": "Value is invalid."
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Required when using a Platform API token. The tenant key identifying which business to operate on.
The unique identifier for the person
Update person personal info request payload
Person's date of birth
"1990-05-15"
National identification document
Show child attributes
National identification document
Show child attributes
National identification document
Show child attributes
Person's gender
male, female, other "female"
ISO 3166-1 alpha-2 country code
"DE"
Address
Show child attributes
Successful operation